担当者詳細取得
curl --request GET \
--url https://api.utage-system.com/v1/event-members/{member_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/event-members/{member_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/event-members/{member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/event-members/{member_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/event-members/{member_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/event-members/{member_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/event-members/{member_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"system_name": "<string>",
"profile_url": "<string>",
"profile_body": "<string>",
"notify_mail": "<string>",
"is_custom_notify": true,
"notify_subject": "<string>",
"notify_body": "<string>",
"is_custom_notify_cancel": true,
"notify_subject_cancel": "<string>",
"notify_body_cancel": "<string>",
"chat_notify_type": "none",
"chat_notify_to": "<string>",
"is_chat_custom_notify": true,
"chat_notify_text": "<string>",
"is_chat_custom_notify_cancel": true,
"chat_notify_text_cancel": "<string>",
"meeting_provider_type": "zoom",
"is_google_connected": true,
"google_account_email": "<string>",
"is_zoom_connected": true,
"zoom_account_email": "<string>",
"is_google_meet_connected": true,
"google_meet_account_email": "<string>",
"connect_link": {
"status": "none",
"connect_url": "<string>",
"expires_at": "<string>"
},
"use_day_of_week_schedule": true,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": true,
"specified_date_schedules": [
{
"specified_date": "2023-12-25",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": true
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}担当者
担当者詳細取得
担当者の詳細を取得します。メール通知設定・チャット通知設定・オンライン会議サービス・各連携の状態と連携アカウント・連携用リンクの状態(connect_link)・担当者固有の日程設定(予約を受け付ける曜日・時間帯、特定日の予約設定)を含みます。
チャット通知のAPIトークン・ウェブフックURLは設定専用のため返しません。特定日の予約設定は本日以降の分だけを返します。
担当者詳細取得
curl --request GET \
--url https://api.utage-system.com/v1/event-members/{member_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/event-members/{member_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/event-members/{member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/event-members/{member_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/event-members/{member_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/event-members/{member_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/event-members/{member_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"name": "<string>",
"system_name": "<string>",
"profile_url": "<string>",
"profile_body": "<string>",
"notify_mail": "<string>",
"is_custom_notify": true,
"notify_subject": "<string>",
"notify_body": "<string>",
"is_custom_notify_cancel": true,
"notify_subject_cancel": "<string>",
"notify_body_cancel": "<string>",
"chat_notify_type": "none",
"chat_notify_to": "<string>",
"is_chat_custom_notify": true,
"chat_notify_text": "<string>",
"is_chat_custom_notify_cancel": true,
"chat_notify_text_cancel": "<string>",
"meeting_provider_type": "zoom",
"is_google_connected": true,
"google_account_email": "<string>",
"is_zoom_connected": true,
"zoom_account_email": "<string>",
"is_google_meet_connected": true,
"google_meet_account_email": "<string>",
"connect_link": {
"status": "none",
"connect_url": "<string>",
"expires_at": "<string>"
},
"use_day_of_week_schedule": true,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": true,
"specified_date_schedules": [
{
"specified_date": "2023-12-25",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": true
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}GET
https://api.utage-system.com/v1/event-members/{member_id}